#include "channelsetup.h"

const char *CHANNELS_CONF_CHOICES[2] = { "Default channels.conf", "Last channels.conf" };

extern cSwitchConfig config;

/**
 **************************************************************************************
 * Constructor
 **************************************************************************************
 */
cSwitchSetup::cSwitchSetup( void )
{
    newStartConf = config.startConf;
    Add(new cMenuEditStraItem ( tr( "Start VDR with" ), &newStartConf, 2, CHANNELS_CONF_CHOICES ) );
}

/**
 **************************************************************************************
 * The user has pressed the "Ok" button to confirm the changes
 **************************************************************************************
 */
void cSwitchSetup::Store( void )
{
    SetupStore( "startConf", config.startConf = newStartConf );
}
